Skip to Content
REST APIEnvironment Shares API

Environment Shares API

Get all shares of the environment

PathMethodProtected
/v1/envs/{environment_id}/sharesGETYes

Example Response JSON

{ "values": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revision": 0, "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "granteeAccountId": "210f854b-3301-464e-9bfd-4e6f0bdab57d", "roles": [ "admin" ] } ] }

Create a new environment share

PathMethodProtected
/v1/envs/{environment_id}/sharesPOSTYes

Example Request JSON

{ "granteeAccountId": "210f854b-3301-464e-9bfd-4e6f0bdab57d", "roles": [ "admin" ] }

Example Response JSON

{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revision": 0, "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "granteeAccountId": "210f854b-3301-464e-9bfd-4e6f0bdab57d", "roles": [ "admin" ] }

Get environment share by id.

PathMethodProtected
/v1/environment-shares/{environment_share_id}GETYes

Example Response JSON

{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revision": 0, "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "granteeAccountId": "210f854b-3301-464e-9bfd-4e6f0bdab57d", "roles": [ "admin" ] }

Delete environment share

PathMethodProtected
/v1/environment-shares/{environment_share_id}DELETEYes

Query Parameters

NameTypeRequiredDescription
current_revisionintegerYes-

Example Response JSON

{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revision": 0, "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "granteeAccountId": "210f854b-3301-464e-9bfd-4e6f0bdab57d", "roles": [ "admin" ] }

Update environment share

PathMethodProtected
/v1/environment-shares/{environment_share_id}PATCHYes

Example Request JSON

{ "currentRevision": 0, "roles": [ "admin" ] }

Example Response JSON

{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revision": 0, "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "granteeAccountId": "210f854b-3301-464e-9bfd-4e6f0bdab57d", "roles": [ "admin" ] }

Environment Shares API Errors

Status CodeDescriptionBody
400Invalid request, returning with a list of issues detected in the request{"code":"string","errors":["string"]}
401Unauthorized request{"code":"string","error":"string"}
403Forbidden Request{"code":"string","error":"string"}
404Entity not found{"code":"string","error":"string"}
409{"code":"string","error":"string"}
422Limits of the plan exceeded{"code":"string","error":"string"}
500Internal server error{"code":"string","error":"string"}
Last updated on